Scans
Get scan
GET
/
api
/
v1
/
scans
/
{id}
Get scan
curl --request GET \
--url https://api.passentry.com/api/v1/scans/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passentry.com/api/v1/scans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passentry.com/api/v1/scans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "019488b8-c2fc-7b5b-b5b4-deb2b7f33bdd",
"type": "scan",
"attributes": {
"scanType": "nfc",
"scanValue": "factory_scan_value",
"validationType": "internalValidation",
"status": "failed",
"statusDetail": "Pass is not active",
"scannedAt": "2025-01-13T13:00:00Z"
},
"relationships": {
"pass": {
"data": {
"id": "7882e98b-0eba-4625-9223-5221eb8dad7f",
"type": "pass"
}
},
"reader": {
"data": {
"id": "south-gate-1",
"type": "reader"
}
}
}
},
"included": [
{
"id": "7882e98b-0eba-4625-9223-5221eb8dad7f",
"type": "pass",
"attributes": {
"downloadUrl": "https://www.example.com?pass=7882e98b-0eba-4625-9223-5221eb8dad7f",
"passType": "generic",
"createdAt": "2022-01-01T00:00:00Z",
"status": "issued",
"extId": "4312d68fd106e3e6dd15",
"passTemplateUuid": "7f24e7371e67c7af15103815",
"passTemplateName": "PassEntry Event",
"nfc": null,
"barcode": {},
"passContent": {
"fullName": "John Johnson"
}
}
},
{
"id": "south-gate-1",
"type": "reader",
"attributes": {
"name": "South Gate Reader",
"readerType": "PassentryReader",
"loggedIn": false,
"qrEnabled": false,
"mifareClassicNfcEnabled": false,
"scanEnabled": true,
"redeemEnabled": false,
"addPointsEnabled": false,
"ndefTagScanningEnabled": false,
"lastSeenAt": "2020-03-13T13:00:00Z"
}
}
]
}{
"errors": [
"Access denied"
]
}{
"errors": [
"Scan not found"
]
}Was this page helpful?
⌘I
Get scan
